#
# NumericCustomFields.pl
# 2009/02/21 1.00 First version
#
# Copyright(c) by H.Fujimoto
#
package MT::Plugin::NumericCustomFields;
use base 'MT::Plugin';

use strict;

use MT::Plugin;
use MT;

# show plugin information to main menu
my $plugin = __PACKAGE__->new({
    name => 'Numeric Custom Fields',
    id => 'NumericCustomFields',
    version => '1.00',
    author_name => '<__trans phrase="Hajime Fujimoto">',
    author_link => 'http://www.h-fj.com/blog/',
    description => '<__trans phrase="This plugin adds numeric custom fields.">',
    l10n_class => 'NumericCustomFields::L10N',
});
MT->add_plugin($plugin);

# add tag
sub init_registry {
    my $plugin = shift;
    my $reg = {
        customfield_types => {
            ninteger => {
                label => 'Integer',
                field_html => \&field_html,
                order => 250,
                column_def=> 'vinteger_idx',
            },
            nfloat => {
                label => 'Float',
                field_html => \&field_html,
                order => 251,
                column_def=> 'vfloat_idx',
            },
        },
    };
    $plugin->registry($reg);
}

sub field_html {
    my $app = MT->instance;
    my $blog = $app->blog;

    my $html = <<HERE;
<input type="text" name="<mt:var name="field_name">" id="<mt:var name="field_id">" value="<mt:var name="field_value">" class="full-width" autocomplete="off" mt:watch-change="1" />
HERE
    return $html;
}

1;
